X2Go Bug report logs - #1428
Connection failed. Cannot create remote file

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Alexanderstr Miete <alexstrbonn@gmail.com>

Date: Sat, 14 Dec 2019 19:10:02 UTC

Severity: normal

Tags: pending

Merged with 1429

Found in version 4.1.2.1

Fixed in version 4.1.2.2

Done: X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1428; Package <x2goserver>. (Sat, 14 Dec 2019 19:10:02 GMT) (full text, mbox, link).


Acknowledgement sent to Alexanderstr Miete <alexstrbonn@gmail.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 14 Dec 2019 19:10:03 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Alexanderstr Miete <alexstrbonn@gmail.com>
To: submit@bugs.x2go.org
Subject: Connection failed. Cannot create remote file
Date: Sat, 14 Dec 2019 19:09:44 +0000
[Message part 1 (text/plain, inline)]
Package: <x2goserver>
Body:
Package: <x2goserver>
Version: <Not exactly sure where to check. Please let me know>
Not sure, if this is a real bug. But it seems to have been an issue
before (See here:
https://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=227)

Surprisingly, without any known changes, we suddenly receive a new error
when establishing previously error free connections. The following error
appears in the client (similar to the one described here in 2014:
https://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=227) , however the
connection is established as usual
without any apparent problems.


So why does this annoying error message appear and how can it be fixed?

*Connection failed. Cannot create remote file
~templatemate3/.x2go/ssh/key.TJ4977 - SCP: Warning: status code 1 received:
scp: ~templatemate3/.x2go/ssh: No such file or directory*
Let me know if you need any further info.

Client and Server running Ubuntu 18-04 LTS

 Thank you!
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1428; Package <x2goserver>. (Mon, 16 Dec 2019 08:30:02 GMT) (full text, mbox, link).


Acknowledgement sent to АСУ ГБ Анапа <asu-gb-anapa@mail.ru>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 16 Dec 2019 08:30:02 GMT) (full text, mbox, link).


Message #10 received at 1428@bugs.x2go.org (full text, mbox, reply):

From: АСУ ГБ Анапа <asu-gb-anapa@mail.ru>
To: 1428@bugs.x2go.org
Subject: ~t-031-1/.x2go/ssh/key.jd2695 - SCP: Warning: status code 1 received: scp: ~t-031-1/.x2go/ssh: No such file or directory
Date: Mon, 16 Dec 2019 11:24:59 +0300
[Message part 1 (text/plain, inline)]
I confirm this error only on Ubunt 18.04. on 16.04 there is no such error. Because of it, the printer is not forwarded (generic)

-- 
ASU GB
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1428; Package <x2goserver>. (Tue, 17 Dec 2019 17:10:02 GMT) (full text, mbox, link).


Acknowledgement sent to Leon Möller <leon.moeller@yahoo.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 17 Dec 2019 17:10:02 GMT) (full text, mbox, link).


Message #15 received at 1428@bugs.x2go.org (full text, mbox, reply):

From: Leon Möller <leon.moeller@yahoo.de>
To: 1428@bugs.x2go.org
Subject: RE: Connection failed. Cannot create remote file
Date: Tue, 17 Dec 2019 18:07:45 +0100
Can confirm, the issue occured when connecting from an Arch Linux client 
(x2goclient 4.1.2.1) to an Ubuntu 14.04 LTS server (x2goserver 4.1.0.3).

But it seems to be an issue of x2goclient or libssh rather than 
x2goserver, as it (at least for me) only occurs when x2goclient is used 
with libssh 0.9.3 (the latest version). For me it works fine with libssh 
0.9.2.


Set Bug forwarded-to-address to 'https://bugs.launchpad.net/ubuntu/+source/libssh/+bug/1856795'. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Wed, 18 Dec 2019 06:00:02 GMT) (full text, mbox, link).


Bug reassigned from package '&lt;x2goserver&gt;' to 'x2goclient'. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Wed, 18 Dec 2019 06:00:02 GMT) (full text, mbox, link).


Marked as found in versions 4.1.2.1. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Wed, 18 Dec 2019 06:00:02 GMT) (full text, mbox, link).


Marked Bug as done Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Wed, 18 Dec 2019 06:00:02 GMT) (full text, mbox, link).


Notification sent to Alexanderstr Miete <alexstrbonn@gmail.com>:
Bug acknowledged by developer. (Wed, 18 Dec 2019 06:00:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1428; Package x2goclient. (Thu, 19 Dec 2019 23:25:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 19 Dec 2019 23:25:01 GMT) (full text, mbox, link).


Message #30 received at 1428@bugs.x2go.org (full text, mbox, reply):

From: Mihai Moldovan <ionic@ionic.de>
To: Alexanderstr Miete <alexstrbonn@gmail.com>, x2go-dev@lists.x2go.org, 1428@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1428: Connection failed. Cannot create remote file
Date: Fri, 20 Dec 2019 00:21:07 +0100
[Message part 1 (text/plain, inline)]
* On 12/18/19 10:33 AM, Alexanderstr Miete wrote:
> Interesting. Thanks for the update. I also notice that no sound via standard
> PulseAudio (which previously worked) is transmitted to the client anymore from
> any remote machine (default port 4713, SSH port forwarding).  Is that related to
> this bug here too? https://bugs.launchpad.net/ubuntu/+source/libssh/+bug/1856795
> or something else that requires looking into?


Very likely, yes. We use scp to transfer some files (including the cookie file),
so if scp is broken within libssh that'll fail to work as well.



Mihai

[signature.asc (application/pgp-signature, attachment)]

Unset Bug forwarded-to-address Request was from Mihai Moldovan <ionic@ionic.de> to 1429-submit@bugs.x2go.org. (Fri, 20 Dec 2019 18:10:03 GMT) (full text, mbox, link).


Bug reopened Request was from Mihai Moldovan <ionic@ionic.de> to 1429-submit@bugs.x2go.org. (Fri, 20 Dec 2019 18:10:03 GMT) (full text, mbox, link).


Merged 1428 1429 Request was from Mihai Moldovan <ionic@ionic.de> to 1429-submit@bugs.x2go.org. (Fri, 20 Dec 2019 18:10:03 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1428; Package x2goclient. (Fri, 20 Dec 2019 19:35:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 20 Dec 2019 19:35:02 GMT) (full text, mbox, link).


Message #41 received at 1428@bugs.x2go.org (full text, mbox, reply):

From: Mihai Moldovan <ionic@ionic.de>
To: 1428-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1428@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Fri, 20 Dec 2019 20:32:49 +0100 (CET)
tag #1428 pending
fixed #1428 4.1.2.2
thanks

Hello,

X2Go issue #1428 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=ce559d1

The issue will most likely be fixed in src:x2goclient (4.1.2.2).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit ce559d163a943737fe4160f7233925df2eee1f9a
Author: Mihai Moldovan <ionic@ionic.de>
Date:   Fri Dec 20 20:27:31 2019 +0100

    src/sshprocess.cpp: strip ~/, ~user{,/}, ${HOME}{,/} and $HOME{,/} from destination paths in scp mode. Fixes: #1428.
    
    This was already necessary for pascp (PuTTY-based Windows solution for
    Kerberos support), but newer libssh versions with the CVE-2019-14889
    also interpret paths as literal strings.

diff --git a/debian/changelog b/debian/changelog
index 504d6ae..9f84281 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -135,6 +135,11 @@ x2goclient (4.1.2.2-0x2go1) UNRELEASED; urgency=medium
       sound weird first, but this behavior is consistent between all
       applications - tray icons can be clicked via either button and will
       always trigger a context menu. Let X2Go Client behave the same way.
+    - src/sshprocess.cpp: strip ~/, ~user{,/}, ${HOME}{,/} and $HOME{,/} from
+      destination paths in scp mode. Fixes: #1428. This was already necessary
+      for pascp (PuTTY-based Windows solution for Kerberos support), but newer
+      libssh versions with the CVE-2019-14889 also interpret paths as literal
+      strings.
   * debian/control:
     + Add build-depend on pkg-config.
   * x2goclient.spec:


Added tag(s) pending. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Fri, 20 Dec 2019 19:35:02 GMT) (full text, mbox, link).


Marked as fixed in versions 4.1.2.2. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Fri, 20 Dec 2019 19:35:02 GMT) (full text, mbox, link).


Message sent on to Alexanderstr Miete <alexstrbonn@gmail.com>:
Bug#1428. (Fri, 20 Dec 2019 19:35:03 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1428; Package x2goclient. (Wed, 25 Dec 2019 20:25:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 25 Dec 2019 20:25:01 GMT) (full text, mbox, link).


Message #53 received at 1428@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Mihai Moldovan <ionic@ionic.de>, 1428@bugs.x2go.org
Cc: 1428-submitter@bugs.x2go.org, 1429@bugs.debian.org
Subject: Re: [X2Go-Dev] Bug#1428: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Wed, 25 Dec 2019 20:22:18 +0000
[Message part 1 (text/plain, inline)]
Hi,

On  Fr 20 Dez 2019 20:32:49 CET, Mihai Moldovan wrote:

> tag #1428 pending
> fixed #1428 4.1.2.2
> thanks
>
> Hello,
>
> X2Go issue #1428 (src:x2goclient) reported by you has been
> fixed in X2Go Git. You can see the changelog below, and you can
> check the diff of the fix at:
>
>     http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=ce559d1
>
> The issue will most likely be fixed in src:x2goclient (4.1.2.2).
>
> light+love
> X2Go Git Admin (on behalf of the sender of this mail)
>
> ---
> commit ce559d163a943737fe4160f7233925df2eee1f9a
> Author: Mihai Moldovan <ionic@ionic.de>
> Date:   Fri Dec 20 20:27:31 2019 +0100
>
>     src/sshprocess.cpp: strip ~/, ~user{,/}, ${HOME}{,/} and  
> $HOME{,/} from destination paths in scp mode. Fixes: #1428.
>
>     This was already necessary for pascp (PuTTY-based Windows solution for
>     Kerberos support), but newer libssh versions with the CVE-2019-14889
>     also interpret paths as literal strings.
>
> diff --git a/debian/changelog b/debian/changelog
> index 504d6ae..9f84281 100644
> --- a/debian/changelog
> +++ b/debian/changelog
> @@ -135,6 +135,11 @@ x2goclient (4.1.2.2-0x2go1) UNRELEASED; urgency=medium
>        sound weird first, but this behavior is consistent between all
>        applications - tray icons can be clicked via either button and will
>        always trigger a context menu. Let X2Go Client behave the same way.
> +    - src/sshprocess.cpp: strip ~/, ~user{,/}, ${HOME}{,/} and  
> $HOME{,/} from
> +      destination paths in scp mode. Fixes: #1428. This was already  
> necessary
> +      for pascp (PuTTY-based Windows solution for Kerberos  
> support), but newer
> +      libssh versions with the CVE-2019-14889 also interpret paths  
> as literal
> +      strings.
>    * debian/control:
>      + Add build-depend on pkg-config.
>    * x2goclient.spec:

Please note that I am currently working on getting this  
libssh/CVE-2019-14889 robustness patch into Debian [done] and Ubuntu  
[pending].

Mike
-- 

DAS-NETZWERKTEAM
c\o Technik- und Ökologiezentrum Eckernförde
Mike Gabriel, Marienthaler str. 17, 24340 Eckernförde
mobile: +49 (1520) 1976 148
landline: +49 (4351) 850 8940

GnuPG Fingerprint: 9BFB AEE8 6C0A A5FF BF22  0782 9AF4 6B30 2577 1B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

[Message part 2 (application/pgp-signature, inline)]

Message sent on to Alexanderstr Miete <alexstrbonn@gmail.com>:
Bug#1428. (Wed, 25 Dec 2019 20:25:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1428; Package x2goclient. (Wed, 25 Dec 2019 21:45:02 GMT) (full text, mbox, link).


Acknowledgement sent to info@daniel-hoffmann.com:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 25 Dec 2019 21:45:03 GMT) (full text, mbox, link).


Message #61 received at 1428@bugs.x2go.org (full text, mbox, reply):

From: info@daniel-hoffmann.com
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>,1428@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1428: Bug#1428: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Wed, 25 Dec 2019 22:43:10 +0100
[Message part 1 (text/plain, inline)]
Hallo Mike,
wie siehts mit der Fehlfunktion der Tonübertragung unter Win 10 nach dem großen Update aus?
Die Fehlermeldung, die ich geposted habe, scheint darauf zu beruhen, dass Pulseaudio kein sicheres Verzeichnis anlegen kann.
Konntest Du das Problem auch lösen?
LG Daniel

Hi Mike could you also find a workaround for the pulseaudio issue on latest Win 10 ?
Sound does not work in X2Go because Pulseaudio can't create a safe directory. 
Yours Daniel
(I am no expert and need to use the win binary, but the nightly build before christmas still didn't work).


Sent from MailDroid

-----Original Message-----
From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Mihai Moldovan <ionic@ionic.de>, 1428@bugs.x2go.org
Cc: 1429@bugs.debian.org, 1428-submitter@bugs.x2go.org
Sent: Mi., 25 Dez. 2019 21:25
Subject: [X2Go-Dev] Bug#1428: Bug#1428: X2Go issue (in src:x2goclient) has been marked as pending for release

Hi,

On  Fr 20 Dez 2019 20:32:49 CET, Mihai Moldovan wrote:

> tag #1428 pending
> fixed #1428 4.1.2.2
> thanks
>
> Hello,
>
> X2Go issue #1428 (src:x2goclient) reported by you has been
> fixed in X2Go Git. You can see the changelog below, and you can
> check the diff of the fix at:
>
>     http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=ce559d1
>
> The issue will most likely be fixed in src:x2goclient (4.1.2.2).
>
> light+love
> X2Go Git Admin (on behalf of the sender of this mail)
>
> ---
> commit ce559d163a943737fe4160f7233925df2eee1f9a
> Author: Mihai Moldovan <ionic@ionic.de>
> Date:   Fri Dec 20 20:27:31 2019 +0100
>
>     src/sshprocess.cpp: strip ~/, ~user{,/}, ${HOME}{,/} and  
> $HOME{,/} from destination paths in scp mode. Fixes: #1428.
>
>     This was already necessary for pascp (PuTTY-based Windows solution for
>     Kerberos support), but newer libssh versions with the CVE-2019-14889
>     also interpret paths as literal strings.
>
> diff --git a/debian/changelog b/debian/changelog
> index 504d6ae..9f84281 100644
> --- a/debian/changelog
> +++ b/debian/changelog
> @@ -135,6 +135,11 @@ x2goclient (4.1.2.2-0x2go1) UNRELEASED; urgency=medium
>        sound weird first, but this behavior is consistent between all
>        applications - tray icons can be clicked via either button and will
>        always trigger a context menu. Let X2Go Client behave the same way.
> +    - src/sshprocess.cpp: strip ~/, ~user{,/}, ${HOME}{,/} and  
> $HOME{,/} from
> +      destination paths in scp mode. Fixes: #1428. This was already  
> necessary
> +      for pascp (PuTTY-based Windows solution for Kerberos  
> support), but newer
> +      libssh versions with the CVE-2019-14889 also interpret paths  
> as literal
> +      strings.
>    * debian/control:
>      + Add build-depend on pkg-config.
>    * x2goclient.spec:

Please note that I am currently working on getting this  
libssh/CVE-2019-14889 robustness patch into Debian [done] and Ubuntu  
[pending].

Mike
-- 

DAS-NETZWERKTEAM
c\o Technik- und Ökologiezentrum Eckernförde
Mike Gabriel, Marienthaler str. 17, 24340 Eckernförde
mobile: +49 (1520) 1976 148
landline: +49 (4351) 850 8940

GnuPG Fingerprint: 9BFB AEE8 6C0A A5FF BF22  0782 9AF4 6B30 2577 1B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1428; Package x2goclient. (Wed, 12 Feb 2020 21:50:08 GMT) (full text, mbox, link).


Acknowledgement sent to X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 12 Feb 2020 21:50:08 GMT) (full text, mbox, link).


Message #66 received at 1428@bugs.x2go.org (full text, mbox, reply):

From: X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>
To: 1428-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1428@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as closed
Date: Wed, 12 Feb 2020 22:46:57 +0100 (CET)
close #1428
thanks

Hello,

we are very hopeful that X2Go issue #1428 reported by you
has been resolved in the new release (4.1.2.2) of the
X2Go source project »src:x2goclient«.

You can view the complete changelog entry of src:x2goclient (4.1.2.2)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goclient.

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=e70a27961cf391406c13e52fa54f4731fa8ca189;hp=84dcac55b72c6c09f2cdddcd5bde5137a441223d

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goclient.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goclient
Version: 4.1.2.2-0x2go1
Status: RELEASE
Timestamp: 1581543720
Date: Wed, 12 Feb 2020 22:42:00 +0100
Fixes: 1307 1320 1393 1418 1425 1428
Changes:
 x2goclient (4.1.2.2-0x2go1) RELEASED; urgency=medium
 .
   [ Oleksandr Shneyder ]
   * New upstream version (4.1.2.2):
     - Add SSH instruction to list of errors if keyboard-interactive auth has
       failed.
     - Add new brocker feature. Broker can send to client some configuration in
       the section START_CLIENT_CONFIG - END_CLIENT_CONFIG. For the moment is
       supported option events=bool. If true, client sending to broker events:
       CONNECTING, CONNECTED, SUSPENDING, TERMINATING, FINISHED. It's not a real
       session state, but rather the state of X2Go Client.
     - Save session command in resumingSession.command.
     - Send in broker event the duration of session on client.
     - If client is configured to send events, the broker can ask client to send
       ALIVE events. To do this, broker should send config option "liveevent"
       (int).
       It means, if liveevent=10, client will send ALIVE event to broker every
       10 seconds when the client connected to X2Go Session.
     - Broker can send to client command to suspend or terminate the session as
       an answer to the client event message. For this broker should send to
       client SUSPEND ID or TERMINATE ID.
     - Client now sends "login" parameter to the broker when executing task
       "selectsession". Before client just sent a username on the broker and it
       was imposiible to find out user name on X2Go server, which is not always
       the same as broker username. This won't break a compatibility with
       previous broker as they just will ignore this parameter.
     - X2Gokdrive support for X2GoClient.
     - Fix authentification on http broker when sending event.
     - Fix resuming sessions on multiple servers.
     - Initializing sessionId, command and display for direct RDP to complay
       with standard sessions.
     - Direct RDP sesion send to broker event CONNECTED instead of CONNECTING at
       start of RDP client.
     - Fixing setting correct session command when resuming the session.
     - Don't exit if sending event to http broker has failed.
     - If using x2go broker and ssh proxy check for the option
       "usebrokeruserforproxy" in the session file. If it's "true", use the same
       username for the proxy as broker login.
     - Broker can send to client the number of suspended and running sessions
       for each session type.
       Client will display this information to user on session button.
     - update copyright years in about dialog.
     - Do not show password in debug output of HTTP broker.
     - Fix crashing if the path for automount in the session config file in
       wrong format. Supporting both Windows and Linux path in automount format.
       Check if path exists before mounting.
     - Do not show Pulseaudio warning on Windows, if Pulseaudio is disabled in
       settings or by command line.
     - Improve request handling in HTTP broker.
     - Add possibility to suspend and terminate sessions from session selection
       dialog in broker mode.
     - Do not delete session from list if terminating of session is canceled.
 .
   [ Mihai Moldovan ]
   * New upstream version (4.1.2.2):
     - src/printwidget.cpp: add QButtonGroup include, fixes compile errors with
       Qt 5.11+. Fixes: #1307.
     - macbuild.sh: switch to bundling PulseAudio 12.1 since it's now available
       in MacPorts.
     - x2goclient.pro: detect libssh and libssh_threads via pkgconfig on
       UNIX-based platforms. libssh_threads is optional if the libssh version
       is high enough.
     - x2goclient.pro: let static Linux configuration override the new
       pkgconfig-based libssh usage.
     - x2goclient.pro: make system a non-variable call.
     - x2goclient.pro: fix qmake control flow for libssh logic, we really
       wanted to use else if for the Windows section and have the general else
       section being the general fallback.
     - x2goclient.pro: fix quoting issue in system() call. Qmake's quoting
       rules are really weird.
     - macbuild.sh: switch to bundling PulseAudio 12.2 since it's now available
       in MacPorts.
     - res/i18n/x2goclient_cs.ts: whitespace and other fixups.
     - src/x2goclient.cpp: change HTTP to HTTPS links where needed.
     - src/x2goclient.cpp: do not spawn UNIX cleanup helper if arguments that
       let X2Go Client terminate right away have been passed. More work is
       needed here, but that should cover the most basic bits.
     - src/onmainwindow.{cpp,h}: remove left-over references to agentCheckTimer
       and slotCheckAgentProcess ().
     - src/onmainwindow.cpp: fix various broken qCritical () calls.
     - src/{onmainwindow.{cpp,h},{sshmasterconnection,help}.cpp}: let users
       control libssh debugging via the new parameters --libssh-debug and
       --libssh-packetlog. Properly document the new switches and their
       implications.
     - src/sshmasterconnection.cpp: drop DEBUG preprocessor conditional blocks.
       We have never actually disabled it and x2goDebug () will not write out
       anything if debugging has not been requested, so we already have a soft
       condition check for every x2goDebug () call.
     - src/x2goclient.cpp: do not use std::array since that's a C++11 feature,
       just live with plain C arrays for now.
     - x2goclient.pro: fix libssh_threads logic again. Ubuntu Bionic/18.04
       ships a pre-release version of 0.8.0, which is tagged as that version,
       but really based upon 0.7.x and still has/needs a libssh_threads
       library. Big "Wat?" to you, Canonical. Fixes: #1320.
     - src/x2goclient.cpp: fix array length calculation.
     - Windows: Update PuTTY from 0.70 to 0.71. Fixes quite a list of issues
       discovered through the EU-funded bug bounty programme. Not all are
       relevant to X2Go Client.
     - Windows: upgrade bundled VcXsrv to 1.20.1.4.
     - src/sshmasterconnection.cpp: use info (protocol) log level with
       --libssh-debug and debug (packet) log level with --libssh-packetlog.
     - src/sshmasterconnection.cpp: fix compiler warning due to mismatching
       argument with older libssh versions.
     - Makefile: clear out LDFLAGS, add new (cleared) LIBS variable and pass
       down as QMAKE_LIBS. The previous behavior was leading to compile
       failures on arm64 machines (albeit only old distro versions,
       apparently), because QMAKE_LFLAGS is being put on the command line
       *before* the actual object files to be included/linked, which is an
       error for system libraries. Builds will still fail after this commit,
       but that's okay.
     - x2goclient.pro: add libraries that we always want to use on Linux
       correctly to LIBS and use a bigger catch clause. That should work much
       better, since linux-g++ and linux-g++-64 are x86-specific, while there
       are way more potentially useful targets like linux-aarch64-gnu-g++,
       clang, llvm, icc etc.
     - x2goclient.pro: while a linux scope seems to work fine with Qt5, Qt4
       doesn't recognize that, so add another linux-* catch.
     - Windows: add support for x3270-fonts, including adding a pretty nasty
       but necessary fonts.* file regeneration hook.
     - {x2goclient,help,onmainwindow}.cpp: implement new
       --bypass-cleanup-helper parameter.
     - src/onmainwindow.cpp: fix building with Qt 4.6, currently the latest
       version available in EPEL 6.
     - src/onmainwindow.cpp: unbreak builds by fixing syntax error.
     - src/onmainwindow.cpp: also unbreak old EPEL 6 builds.
     - src/onmainwindow.cpp: add (and prefer) non-compat-symlink scp server
       location for 64-bit-based Gentoo distros (17.1+ profiles). Fixes:
       #1393.
     - res/i18n/x2goclient_*.ts: replace changed source strings, no
       retranslations required.
     - src/httpbrokerclient.cpp: do not leak password length in debug output
       either.
     - src/sessionwidget.cpp: stop parsing proxy address as "host:port: if the
       address contains a colon. Fixes: #1418. We don't do this for the
       "normal" host address and this behavior clashes with IPv6 addresses. We
       COULD, theoretically, keep it, but that would require writing an
       arbitrary address parser. Too much effort for little gain.
     - src/onmainwindow.cpp: also remove proxy "host:port" parsing at connect
       time. Fixes: #1418.
     - macbuild.sh: switch to bundling PulseAudio 13.0 since it's now available
       in MacPorts.
     - src/onmainwindow.cpp: disable "left click" action on OS X/macOS. This
       platform always gets a left click event, even when right clicked. May
       sound weird first, but this behavior is consistent between all
       applications - tray icons can be clicked via either button and will
       always trigger a context menu. Let X2Go Client behave the same way.
     - src/sshprocess.cpp: strip ~/, ~user{,/}, ${HOME}{,/} and $HOME{,/} from
       destination paths in scp mode. Fixes: #1428. This was already necessary
       for pascp (PuTTY-based Windows solution for Kerberos support), but newer
       libssh versions with the CVE-2019-14889 also interpret paths as literal
       strings.
     - src/SVGFrame.cpp: simplify implementation a lot. Only paint data onto
       the widget in the paintEvent () function. Drop setting a palette based
       upon the rendered SVG image, which has been very wrong to do from the
       beginning and only lead to visual glitches. Correctly repaint
       single-frame SVG files.
     - src/sshmasterconnection.cpp: work around lupdate warning by adding
       another block in the #else preprocessor branch.
     - res/i18n/x2goclient_*.ts: update translation files.
     - Windows: Update PuTTY from 0.71 to 0.73. Fixes another round of issues
       discovered through the EU-funded bug bounty programme and other security
       problems.
     - src/onmainwindow.cpp: stop PulseAudio from spamming logs after a client
       disconnects. Fixes: #1425. Patch based on one submitted by Ville
       Salmela.
     - src/onmainwindow.cpp: instead of searching for "sftp-binary", try to
       look for "sftp-server" in the Qt 5.x code path. Luckily this only
       affects cases where we bundle sftp-server (which we don't) or where
       sftp-server is actually part of $PATH (which it usually shouldn't be).
     - Windows: upgrade bundled VcXsrv to 1.20.6.0.
     - Windows: upgrade PulseAudio from 7.1 to 13.0.
     - Windows: remove libz. Was previously used by libzip, which has not been
       shipped for quite some time.
     - Windows: Update Win32 OpenSSL from 1.0.2n to 1.0.2u. Implicit.
     - Windows: Upgrade libssh from 0.7.4 to 0.9.3 (while maintaining Pageant
       support). Drop libssh_threads library not provided (or used) any longer.
     - x2goclient.pro: update comment mentioning that libssh does not provide
       pkgconfig files on non-UNIX/Windows platforms any longer and drop
       libssh_thread linkage.
     - res/i18n/x2goclient_nl.ts: add missing singular form to a multi-form
       entry.
     - res/i18n/x2goclient_cs.ts: fix up whitespace and mark actually finished
       translation string as such, also removing my previous comment.
     - res/i18n/x2goclient_nb_no.ts: fix up whitespace and typos.
     - res/i18n/x2goclient_de.ts: better translate UNIX cleanup helper and fix
       "X2Go Client" as "X2GoClient" globally.
     - misc: pre-release copyright update.
     - src/onmainwindow.cpp: update in-code copyright notice.
     - res/i18n/x2goclient_*.ts: update copyright notice in about dialog
       manually.
     - src/onmainwindow.cpp: add comment for translators encouraging them to
       add themselves to copyright notice.
     - res/i18n/x2goclient_*.ts: update after source code changes and comment
       addition.
     - res/i18n/x2goclient_*.ts: mark copyright translation string as
       unfinished for already translated languages (but Finnish) to alert
       translators of the new comment.
     - man/man1/x2goclient.1: pre-release date update.
   * debian/control:
     + Add build-depend on pkg-config.
   * x2goclient.spec:
     + Build-depend on pkg-config.
     + EPEL packages need to depend upon pkgconfig for now, not pkg-config.
     + Pull in redhat-rpm-config manually. This should probably be done by
       something else, like... gcc or qmake or qt(4)-dev, but it isn't.
     + Try to ignore gettext-tools-mini on *SuSE to force installation of the
       new/renamed gettext-runtime-mini package.
     + It's %endif, not %fi.
     + Revert the gettext-tools-mini change, was caused by an outdated
       obs-build version.
 .
   [ Mike Gabriel ]
   * New upstream version (4.1.2.2):
     - Add support for Nix OS for common_sftp_dirs's hard-coded
       sftp-server paths.
     - src/sessionwidget.cpp: Rename shadowing sessiontype to 'X2Go/X11 Desktop
       Sharing'.
     - man/man1/x2goclient.1: Add explanation for the --broker-name option.
     - res/resources.qrc: Add Czech translation file.
     - Update qt_<lang>.qm files from Qt5 v5.11.2.
     - Rename radion button lables for xfreerdp options' style.
   * debian/control:
     + In x2goclient R, prefer freerdp2-x11 over rdesktop over freerdp-x11
       (which is broken these days anyway).
     + In x2goclient D, add x2gokdriveclient.
     + In x2goclient D, add hello as an alternative to x2gokdriveclient. Works
       around non-available x2gokdriveclient on Debian jessie.
 .
   [ Tom Ruzicka ]
   * New upstream release (4.1.2.2):
     - Add new translation: Czech.
     - Second update round of Czech translation + enable it in x2goclient.pro.
 .
   [ Ulrich Sibiller ]
   * New upstream release (4.1.2.2):
     - src/sshmasterconnection.cpp: close channel on failure in checkLogin ().
     - src/sshmasterconnection.{cpp,h}: skip checkLogin() if hostname starts
       with "!". Some special ssh proxies will not allow arbitrary commands.
       checkLogin() will break these sessions because it tries to run the echo
       command on the proxy. By specifying a "!" as the first character of the
       (proxy) hostname you can instruct x2goclient ot skip the checkLogin()
       call altogether. Note that this will break proxies that require you to
       change you password or some other type of interaction. As this is added
       to SshMasterConnection it is also valid to specify that for the server
       hostname although this is not very useful.
 .
   [ Jos Wolfkamp ]
   * New upstream version (4.1.2.2):
     - res/i18n/x2goclient_nl.ts: update Dutch translation file.
 .
   [ Sébastien Ducoulombier ]
   * New upstream version (4.1.2.2):
     - res/i18n/x2goclient_fr.ts: update French translation file.
     - res/i18n/x2goclient_fr.ts: add missing sentence and UTF-8-ize entries.
 .
   [ Ruda Vallo ]
   * New upstream version (4.1.2.2):
     - res/i18n/x2goclient_cs.ts: update Czech translation file.
 .
   [ Klaus Ade Johnstad ]
   * New upstream version (4.1.2.2):
     - res/i18n/x2goclient_nb_no.ts: update Bokmål (Norway) translation file.
     - res/i18n/x2goclient_nb_no.ts: update Bokmål (Norway) translation file.
 .
   [ Stefan Baur ]
   * New upstream release (4.1.2.2):
     - res/i18n/x2goclient_de.ts: update German translation file.


Marked Bug as done Request was from X2Go Release Manager X2Go Release Manager <git-admin@x2go.org> to control@bugs.x2go.org. (Wed, 12 Feb 2020 21:50:12 GMT) (full text, mbox, link).


Notification sent to Alexanderstr Miete <alexstrbonn@gmail.com>:
Bug acknowledged by developer. (Wed, 12 Feb 2020 21:50:12 GMT) (full text, mbox, link).


Message sent on to Alexanderstr Miete <alexstrbonn@gmail.com>:
Bug#1428. (Wed, 12 Feb 2020 21:50:18 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Thu Feb 27 05:46:11 2020; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.